Subject: Re: Delay on intialization ide subsystem(most likely)

From: Andrey Gusev <[email-masked]>
Date: Thu, 11 Jun 2009 01:57:33 +0400

On Thu, 11 Jun 2009 07:46:17 +1000
Benjamin Herrenschmidt <[email-masked]> wrote:

> On Thu, 2009-06-11 at 00:38 +0400, Andrey Gusev wrote:
> 
> > I try this small fix, traces in disappeared, but lost interrupts on
> > the place:) Some interesting thing from dmesg:
> > 
> > [    0.435806] irq: irq 251 on
> > host /pci@f2000000/mac-io@17/interrupt-controller@40000 mapped to
> > virtual irq 251 [    0.435824] irq: irq 252 on
> > host /pci@f2000000/mac-io@17/interrupt-controller@40000 mapped to
> > virtual irq 252 [    0.435840] irq: irq 253 on
> > host /pci@f2000000/mac-io@17/interrupt-controller@40000 mapped to
> > virtual irq 253 [    0.435856] irq: irq 254 on
> > host /pci@f2000000/mac-io@17/interrupt-controller@40000 mapped to
> > virtual irq 254 [    0.435867] CPU0: L2CR is 80080000
> > [    0.435880] CPU0: L3CR is 8f0b0000 [478142827.057095] CPU1: L2CR
> > was 80000 [478142827.057133] CPU1: L2CR set to 80080000
> > [478142827.057139] CPU1: L3CR was 0 [478142827.057300] CPU1: L3CR
> > set to 8f0b0000 [    0.437529] Processor 1 found. [    0.437588]
> > clockevent: decrementer mult[886] shift[16] cpu[1]
> > 
> > This is don't look good.
> 
> What doesn't look good ? It's copying the L2CR and L3CR values over
> from CPU 0 to CPU 1 when bringing the later up, I don't see anything
> wrong.
> 
> Cheers,
> Ben.

I wrote about time, why it have such values on second CPU? Sorry, if this 
message is silly.

I found configuration, where there isn't delay, but I need more time for
testing.

> 
> > > 
> > > 
> > > > [   70.584122]  hdb:<3>ide-pmac lost interrupt, dma status: 8480
> > > 
> > > DMA status indicates that DMA transfer is still active according
> > > to the controller.  This one is really a platform/hardware
> > > specific issue.
> > > 
> > 
> > Notes for Ben, I checked only 2.6.26, but may be somebody checked
> > 2.6.24 or this is interpolation.
> > 
> > Thanks,
> > Andrey 
>